### Enumeration

# FwupdPlugin PciDeviceBaseCls

#### Declaration

    enum FwupdPlugin.PciDeviceBaseCls

#### Description

No description available.

#### Members

Name | Description
--- | ---
`FU_PCI_DEVICE_BASE_CLS_OLD` | No description available.
`FU_PCI_DEVICE_BASE_CLS_MASS_STORAGE` | No description available.
`FU_PCI_DEVICE_BASE_CLS_NETWORK` | No description available.
`FU_PCI_DEVICE_BASE_CLS_DISPLAY` | No description available.
`FU_PCI_DEVICE_BASE_CLS_MULTIMEDIA` | No description available.
`FU_PCI_DEVICE_BASE_CLS_MEMORY` | No description available.
`FU_PCI_DEVICE_BASE_CLS_BRIDGE` | No description available.
`FU_PCI_DEVICE_BASE_CLS_SIMPLE_COMMUNICATION` | No description available.
`FU_PCI_DEVICE_BASE_CLS_BASE` | No description available.
`FU_PCI_DEVICE_BASE_CLS_INPUT` | No description available.
`FU_PCI_DEVICE_BASE_CLS_DOCKING` | No description available.
`FU_PCI_DEVICE_BASE_CLS_PROCESSORS` | No description available.
`FU_PCI_DEVICE_BASE_CLS_SERIAL_BUS` | No description available.
`FU_PCI_DEVICE_BASE_CLS_WIRELESS` | No description available.
`FU_PCI_DEVICE_BASE_CLS_INTELLIGENT_IO` | No description available.
`FU_PCI_DEVICE_BASE_CLS_SATELLITE` | No description available.
`FU_PCI_DEVICE_BASE_CLS_ENCRYPTION` | No description available.
`FU_PCI_DEVICE_BASE_CLS_SIGNAL_PROCESSING` | No description available.
`FU_PCI_DEVICE_BASE_CLS_ACCELERATOR` | No description available.
`FU_PCI_DEVICE_BASE_CLS_NON_ESSENTIAL` | No description available.
`FU_PCI_DEVICE_BASE_CLS_UNDEFINED` | No description available.